<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id$
 * @author Daniel A. Perez	daniel@gforgegroup.com
 * @date 2006-03-08
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
require_once('plugins/docman/lib/InfoParser.php');
require_once('lib/html/HTMLWidget.php');

$theme->header($params);

$project = $params['project'];
?>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('DocmanFolderEditAction') ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $folder_id; ?>" />
	<table border="0">
	<tr>
		<td><strong><?php echo $Lang->getText('Docman.Folder'); ?>:</strong><br />
		<?php
			$parser = new InfoParser($project);
			$nested_folders = $parser->getNestedFolders();
			$result = array();
			$res = HTMLWidget::renderArranged($nested_folders,0,0,$result,true); // get the elements formatted for the select box
			echo HTMLWidget::selectBoxFromAssoc($res,'folder_parent_id',$folder_id,false,false);
		?>
		</td>
	</tr>
		<tr>
			<td><strong><?php echo $Lang->getText('Docman.Folder'); ?>:</strong><br />
			<input type="text" name="folder_name" value="<?php echo $folder_name; ?>" /></td>
		</tr>
<?php
	if ($parent_folder_id == 0) {
?>
		<tr>
			<td><strong><?php echo $Lang->getText('Docman.Public'); ?>:</strong><br />
			<input type="checkbox" name="is_public" value="t" <?php echo ($is_public)?'checked':''; ?> /></td>
		</tr>
<?php
	}
?>
		<tr>
			<td align="center">
				<?php echo HTMLWidget::button("submit","" .   $Lang->getText('submit.edit') . " ","submit","","")?>
				<?php echo HTMLWidget::button("button","" .   $Lang->getText('Common.Back') . " ","cancel","","window.location = '" .   GFUrl::getUrl()->projectURL(GFUrl::getUrl()->getProject(),'','docman','admin',array('subdir' => $parent_folder_id)) . "'; ")?>
			</td>
		</tr>
	</table>
</form>
<?php
$theme->footer($params);
?>
