<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code creates a new Mailman and saves it to the 
// database
//
require_once('plugins/mailman/lib/Mailman.php');
require_once('plugins/mailman/lib/MailmanPeer.php');
require_once('exceptions/PermissionDeniedException.php');
require_once('core/Language.php');

if (array_key_exists('sure', $_POST)) {
	$Mailman = MailmanPeer::retrieveByPk($_POST['id']);
//	if (is_object($Mailman) && $Mailman->userCanDelete()) {
		$Mailman->delete();
		GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('Mailman'), array('feedback' => $language->getText('Mailman.DeleteFeedback')));
//	} else {
//		throw new PermissionDeniedException();
//	}
} else {
	$feedback = Language::getSessLang()->getText('MailmanDeleteForm.DidntConfirm');
	GFUrl::getUrl()->redirect(GFUrl::getUrl()->currentBaseURL('Mailman'), array('feedback' => $feedback));
}

?>
