<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing ScmServer
//
require_once('plugins/scm/lib/ScmServerPeer.php');
require_once('plugins/scm/lib/ScmServer.php');
require_once('exceptions/PermissionDeniedException.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('lib/html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

//$Project = GFUrl::getUrl()->getProject();
$ScmServer = ScmServerPeer::retrieveByPk($_GET['id']);
if (!is_object($ScmServer) || !$ScmServer->userCanUpdate()) {
	throw new PermissionDeniedException();
}
$obj = $ScmServer;

$params = array(
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'action' => isset($action) ? $action : '',
		'title' => $Lang->getText('ScmServer.EditPageTitle')
		);

$scm_type = ( (isset($_POST) && isset($_POST['scm_type'])) ? htmlspecialchars($_POST['scm_type']) : $obj->getScmType() );
$hostname = ( (isset($_POST) && isset($_POST['hostname'])) ? htmlspecialchars($_POST['hostname']) : $obj->getHostname() );

include ('forms/ScmServerEdit-tpl.php');

?>