<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

echo $theme->header($params);
?>

<form action="<?php echo GFUrl::getUrl()->currentBaseURL('ScmSetControlledAction') ?>" method="POST">
	<input type="hidden" name="controlled" value="<?php echo $_GET['controlled'] ?>" />
	<table border="0">
		<?php if ($_GET['controlled'] == 0) : ?>
			<tr>
				<td>
					<?php echo $Lang->getText('ProjectScm.NonControlledConfirm'); ?> <br />
					<?php echo $Lang->getText('ProjectScm.HostnameName'); ?>:  <input type="text" name="hostname" value="<?php echo $hostname ?>" /><br />
					<?php echo $Lang->getText('ProjectScm.ExternalBrowseUrlName'); ?>:  <input type="text" name="external_browse_url" value="<?php echo $external_browse_url ?>" />
					<br />
					<?php echo HTMLWidget::button("submit","" .   $Lang->getText('Common.Submit') . " ","confirm","","")?>
				</td>
			</tr>
		<?php else : ?>
			<tr>
				<td>
					<?php echo $Lang->getText('ProjectScm.ControlledConfirm'); ?>
					<br /><br />
					<?php echo HTMLWidget::button("submit","" .   $Lang->getText('Common.Yes') . " ","confirm","","")?>
					<?php echo HTMLWidget::button("submit","" .   $Lang->getText('Common.No') . " ","reject","","")?>
				</td>
			</tr>
		<?php endif; ?>
	</table>
</form>

<?php
echo $theme->footer($params);
?>
