<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */
//
// This code shows a form for editing Users password
//
require_once('core/UserPeer.php');
require_once('core/User.php');
require_once('exceptions/PermissionDeniedException.php');

$session = Session::getSession();
$Lang = $session->getLanguage();

require_once('html/templates/SiteAdminTemplate.php');
$theme = new SiteAdminTemplate();

if (!$session->isLoggedIn()) {
	throw new NotLoggedInException();
}
$user_id = $_GET['user_id'];
$User = UserPeer::retrieveByPk($user_id);
$obj = $User;

$params = array(
		'User' => $User,
		'feedback' => isset($_REQUEST['feedback']) ? $_REQUEST['feedback'] : (isset($feedback) ? $feedback : ''),
		'action' => isset($action) ? $action : '',
		'title' => Language::getSessText('SiteAdmin.UserPassEditPageTitle')
		);

include ('forms/UserPasswordEdit-tpl.php');

?>