<?php
/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   $Id: Layout.php 270 2005-12-31 03:02:47Z tperdue $
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$theme->header($params);
?>
<p>
	<strong><?php echo $Lang->getText('UserRejectForm.Reject'); ?></strong>
</p>
<form action="<?php echo GFUrl::getUrl()->currentBaseURL('UserRejectAction') ?>" method="POST">
	<input type="hidden" name="id" value="<?php echo $_REQUEST['id'] ?>" />
	<table border="0">
	<tr>
		<td><strong><?php echo $Lang->getText('UserRejectForm.Confirm', array($user->getFullName())); ?></strong>
		<input type="checkbox" name="sure" value="1" /></td>
	</tr>
	<tr>
		<td><strong><?php echo $Lang->getText('UserRejectForm.SendNoticeConfirm'); ?></strong>
		<input type="checkbox" name="send_reject" value="1" /></td>
	</tr>
	<tr>
		<td><strong><?php echo $Lang->getText('UserRejectForm.NoticeSubject'); ?>&nbsp;*</strong>
	</tr>
	<tr>
		<td><input type="input" name="response_title" size="40" /></td>
	</tr>
	<tr>
		<td><strong><?php echo $Lang->getText('UserRejectForm.NoticeMessage'); ?>&nbsp;*</strong>
	</tr>
	<tr>
		<td><textarea name="response_text" rows="6" cols="50"></textarea></td>
	</tr>
	<tr>
		<td colspan="2" align="center"><?php echo HTMLWidget::button("submit","" .   $Lang->getText('UserRejectForm.Reject') . " ","submit","","")?></td>
	</tr>
	</table>
<?php
// from approve page
if (array_key_exists('response_text',$_POST)) {
	echo '<input type="hidden" name="response_text" value="'.$_POST['response_text'].'"/>';
	echo '<input type="hidden" name="response_title" value="'.$_POST['response_title'].'"/>';
	echo '<input type="hidden" name="send_reject" value="1"/>';
}
?>
</form>
<?php
$theme->footer($params);
?>
