<?php
require_once('core/TagEntryPeer.php');
require_once('core/TagEntry.php');
require_once('lib/html/ProjectTemplate.php');


$Lang = Language::getSessLang();

if(isset($_GET['ref_id']) && isset($_GET['ref_id']) && isset($_GET['tagname']) && isset($_GET['return_to'])){
	$ref_id = $_GET['ref_id'];
	$section = $_GET['section'];
	$return_to = $_GET['return_to'];

	$return_to = preg_replace("/&feedback=.*$/", "", $return_to);
	$tagname = $_GET['tagname'];
} else {
	throw new InvalidDataException(array('Invalid section or ref_id'));
}

if(!TagEntryPeer::userCanUpdate($section,$ref_id)){
	throw new PermissionDeniedException();
}
$pk = $section . '-' . $ref_id . '-' . $tagname;
$tag = TagEntryPeer::retrieveByPk($pk);

if(is_null($tag) || !is_object($tag)){
	throw new InvalidDataException(array('Invalid Tag'));
} else {
	$tag->delete();
}

header("Location: ".$return_to.$q.'&feedback='. urlencode($Lang->getText('Tag.DeleteFeedback')));
?>
