<?php

/**
 * Copyright (c) 2005-2008 GForge, LLC
 *
 * @version   
 * @author Daniel A. Perez	daniel@gforgegroup.com
 *
 * This file is part of GForge.
 *
 * See LICENSE for details. This file is part of GForge AS and may not be
 * redistributed without written permission of GForge, LLC
 */

$user_id = $user->getUserId();

echo $theme->infoTableTop(Language::getSessText('UserHome.Personal')); ?>
<table>
<tr>
	<td><?php echo Language::getSessText('UserPlugin.UserIdName'); ?> </td>
	<td><strong><?php echo $user->getUserId(); ?></strong> </td>
</tr>

<tr valign="top">
	<td><?php echo Language::getSessText('SiteAdmin.UserList.Login'); ?> </td>
	<td><strong><?php echo $user->getUnixName(); ?></strong></td>
</tr>

<tr valign="top">
	<td><?php echo Language::getSessText('SiteAdmin.Search.UserName') ?> </td>
	<td><strong><?php echo $user->getTitle() .' '. $user->getFirstName() . ' ' . $user->getLastName(); ?></strong></td>
</tr>

<tr valign="top">
	<td><?php echo Language::getSessText('SiteAdmin.Search.Email'); ?>: </td>
	<td>
	<strong><?php echo str_replace('@',' @nospam@ ',$user->getEmail()); ?></strong>
	</td>
</tr>
<tr valign="top">
	<td><?php echo Language::getSessText('User.AddressName'); ?></td>
	<td><?php echo $user->getAddress(); ?></td>
</tr>

<tr valign="top">
	<td><?php echo Language::getSessText('User.PhoneName'); ?></td>
	<td><?php echo $user->getPhone(); ?></td>
</tr>

<tr valign="top">
	<td><?php echo Language::getSessText('User.FaxName'); ?></td>
	<td><?php echo $user->getFax(); ?></td>
</tr>


<tr>
	<td>
	<?php echo Language::getSessText('SiteAdmin.Search.MemberSince'); ?>
	</td>
	<td><strong><?php echo $user->getCreateDate(); ?></strong>
	</td>
</tr>

<?php
// Get the extra information from plugins
$params = array('user' => $user);
$rs = ActionManager::notify('EXTRA_USER_DATA', $params);
foreach ($rs as $result) {
	$result = $result->getResult();
?>
<tr>
	<td><?php echo $result['col1']; ?></td>
	<td><?php echo $result['col2']; ?></td>
</tr>
<?php
}
?>

</table>
<?php echo $theme->infoTableBottom();?>
